Bug 222542 - Update GCC_DEFAULT from 6 to 7
Summary: Update GCC_DEFAULT from 6 to 7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on: 219275 222560 222564 222567 222570 222961 222962 222963 232923
Blocks: 222415
  Show dependency treegraph
 
Reported: 2017-09-23 23:02 UTC by Gerald Pfeifer
Modified: 2018-11-03 04:45 UTC (History)
7 users (show)

See Also:
gerald: exp-run+


Attachments
Suggested patch (841 bytes, patch)
2017-09-23 23:02 UTC, Gerald Pfeifer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2017-09-23 23:02:51 UTC
Created attachment 186648 [details]
Suggested patch

We have successfully moved from GCC 4.8 (unmaintained at that point)
to GCC 4.9 (unmaintained at that point) to GCC 5 (maintained for a
bit longer) to GCC 6 (maintained for about another year) in the last
12 months, which was good progress.

In the course of that, a number of ports were fixed to actually also
build with clang, specify their requirements better, updated to newer
versions, or at least adjusted to work with newer versions of GCC.

This is now the next step, to bring us truly ahead of the curve again.

Let's see how many ports need to be fixed (once again), and how long
that takes this time...
Comment 1 commit-hook freebsd_committer 2017-09-24 18:45:37 UTC
A commit references this bug:

Author: jbeich
Date: Sun Sep 24 18:45:08 UTC 2017
New revision: 450499
URL: https://svnweb.freebsd.org/changeset/ports/450499

Log:
  graphics/vigra: unbreak NUMPY=on with gcc7

  In file included from include/vigra/resampling_convolution.hxx:46:0,
                   from include/vigra/resizeimage.hxx:46,
                   from vigranumpy/src/core/sampling.cxx:43:
  include/vigra/imagecontainer.hxx: In member function 'void vigra::ImagePyramid<ImageType, Alloc>::swap(const vigra::ImagePyramid<ImageType, Alloc>&)':
  include/vigra/imagecontainer.hxx:766:51: error: no matching function for call to 'swap(int&, const int&)'
           std::swap(lowestLevel_, other.lowestLevel_);
                                                     ^
  [...]

  PR:		222542
  Reported by:	math/saga
  Obtained from:	upstream

Changes:
  head/graphics/vigra/Makefile
  head/graphics/vigra/distinfo
Comment 2 commit-hook freebsd_committer 2017-09-24 18:45:40 UTC
A commit references this bug:

Author: jbeich
Date: Sun Sep 24 18:45:25 UTC 2017
New revision: 450500
URL: https://svnweb.freebsd.org/changeset/ports/450500

Log:
  biology/ssaha: unbreak with gcc7

  In file included from Binary/..//Global/SSAHAMain.cpp:51:0:
  Binary/..//Global/SSAHAMain.cpp: In function 'void processQuery(QueryParameterStruct&)':
  Binary/..//Global/SSAHAMain.cpp:968:23: error: ISO C++ forbids comparison between pointer and integer [-fpermissive]
       assert( pAligner!=false);
                         ^

  PR:		222542

Changes:
  head/biology/ssaha/files/patch-SSAHAMain.cpp
Comment 3 Antoine Brodin freebsd_committer 2017-10-12 18:07:31 UTC
New failures on 10.3 i386:

+ {"origin"=>"devel/dia2code+", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/libbobcat", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/linux-kernel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/yap", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"lang/yap-devel", "phase"=>"stage", "errortype"=>"install_error"}

New failure logs on 10.3 i386:

http://package18.nyi.freebsd.org/data/103i386-default-PR222542/2017-10-10_18h48m24s/logs/errors/dia2code+-1.0.0_2.log
http://package18.nyi.freebsd.org/data/103i386-default-PR222542/2017-10-10_18h48m24s/logs/errors/libbobcat-3.25.01_3.log
http://package18.nyi.freebsd.org/data/103i386-default-PR222542/2017-10-10_18h48m24s/logs/errors/linux-kernel-4.9.5_1.log
http://package18.nyi.freebsd.org/data/103i386-default-PR222542/2017-10-10_18h48m24s/logs/errors/yap-6.2.2_6.log
http://package18.nyi.freebsd.org/data/103i386-default-PR222542/2017-10-10_18h48m24s/logs/errors/yap-devel-6.3.3_8.log
Comment 4 Antoine Brodin freebsd_committer 2017-10-12 18:10:55 UTC
New failures on 10.3 amd64:

+ {"origin"=>"databases/grass6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/dia2code+", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/libbobcat", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/linux-kernel", "phase"=>"build", "errortype"=>"linker_error"}

New failure logs on 10.3 amd64:

http://package18.nyi.freebsd.org/data/103amd64-default-PR222542/2017-10-11_07h07m20s/logs/errors/grass6-6.4.6_10,2.log
http://package18.nyi.freebsd.org/data/103amd64-default-PR222542/2017-10-11_07h07m20s/logs/errors/dia2code+-1.0.0_2.log
http://package18.nyi.freebsd.org/data/103amd64-default-PR222542/2017-10-11_07h07m20s/logs/errors/libbobcat-3.25.01_3.log
http://package18.nyi.freebsd.org/data/103amd64-default-PR222542/2017-10-11_07h07m20s/logs/errors/linux-kernel-4.9.5_1.log
Comment 5 Antoine Brodin freebsd_committer 2017-10-12 20:00:18 UTC
New failures on 11.0 amd64:

+ {"origin"=>"databases/grass6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/libbobcat", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/linux-kernel", "phase"=>"build", "errortype"=>"linker_error"}

New failure logs on 11.0 amd64:

http://package18.nyi.freebsd.org/data/110amd64-default-PR222542/2017-10-12_08h02m03s/logs/errors/grass6-6.4.6_10,2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR222542/2017-10-12_08h02m03s/logs/errors/libbobcat-3.25.01_3.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR222542/2017-10-12_08h02m03s/logs/errors/linux-kernel-4.9.5_1.log
Comment 6 Antoine Brodin freebsd_committer 2017-10-12 20:02:35 UTC
New failures on 11.0 i386:

+ {"origin"=>"devel/libbobcat", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/linux-kernel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/yap", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"lang/yap-devel", "phase"=>"stage", "errortype"=>"install_error"}

New failure logs on 11.0 i386:

http://package18.nyi.freebsd.org/data/110i386-default-PR222542/2017-10-11_20h02m08s/logs/errors/libbobcat-3.25.01_3.log
http://package18.nyi.freebsd.org/data/110i386-default-PR222542/2017-10-11_20h02m08s/logs/errors/linux-kernel-4.9.5_1.log
http://package18.nyi.freebsd.org/data/110i386-default-PR222542/2017-10-11_20h02m08s/logs/errors/yap-6.2.2_6.log
http://package18.nyi.freebsd.org/data/110i386-default-PR222542/2017-10-11_20h02m08s/logs/errors/yap-devel-6.3.3_8.log
Comment 7 Jan Beich freebsd_committer 2017-12-15 09:00:56 UTC
Gerald, maybe you should land now and mark the few ports as BROKEN thus forcing maintainers to act. If you land later it'd diverge with quarterly making security update backports harder.
Comment 8 Gerald Pfeifer freebsd_committer 2018-03-19 00:45:00 UTC
(In reply to Jan Beich from comment #7)
> Gerald, maybe you should land now and mark the few ports as BROKEN
> thus forcing maintainers to act.

Yes, you're right, Jan.

Antoine, what is your take?

The only ports affected are lang/yap(-devel) and devel/dia2code+.
Comment 9 Antoine Brodin freebsd_committer 2018-03-20 15:30:18 UTC
It seems misc/rumprun is affected too

Failure log:

http://package23.nyi.freebsd.org/data/11stablei386PR226678-default/2018-03-20_08h16m33s/logs/errors/rumprun-g20180105_1.log
Comment 10 Jan Beich freebsd_committer 2018-07-28 19:58:02 UTC
GCC < 7 has incomplete C++17 support, so either USES=compiler:c++17-lang should imply USE_GCC=7+ or this bug should land ASAP.

https://gcc.gnu.org/projects/cxx-status.html#cxx17
Comment 11 Jan Beich freebsd_committer 2018-07-28 20:05:07 UTC
For one, "a constexpr specifier used in a function or static member variable (since C++17) declaration implies inline." As USES=compiler:c++17-lang expands to USE_GCC=yes a port relying on it will fail as following.

$ make -C emulators/citra
[...]
src/core/hle/applets/swkbd.cpp: In member function 'Frontend::KeyboardConfig HLE::Applets::SoftwareKeyboard::ToFrontendConfig(const HLE::Applets::SoftwareKeyboardConfig&) const':
src/core/hle/applets/swkbd.cpp:157:28: error: invalid conversion from 'const void*' to 'void*' [-fpermissive]
     std::memcpy(buffer.data(), config.hint_text.data(), text_size * sizeof(u16));
                 ~~~~~~~~~~~^~
In file included from /usr/local/lib/gcc6/include/c++/cstring:42:0,
                 from src/core/hle/applets/swkbd.cpp:6:
/usr/include/string.h:64:7: note:   initializing argument 1 of 'void* memcpy(void*, const void*, size_t)'
 void *memcpy(void * __restrict, const void * __restrict, size_t);
       ^~~~~~
src/core/hle/applets/swkbd.cpp:172:36: error: invalid conversion from 'const void*' to 'void*' [-fpermissive]
             std::memcpy(buffer.data(), text.data(), text_size * sizeof(u16));
                         ~~~~~~~~~~~^~
In file included from /usr/local/lib/gcc6/include/c++/cstring:42:0,
                 from src/core/hle/applets/swkbd.cpp:6:
/usr/include/string.h:64:7: note:   initializing argument 1 of 'void* memcpy(void*, const void*, size_t)'
 void *memcpy(void * __restrict, const void * __restrict, size_t);
       ^~~~~~
Comment 12 Gerald Pfeifer freebsd_committer 2018-07-28 22:03:14 UTC
(In reply to Antoine Brodin from comment #9)
> It seems misc/rumprun is affected too

I filed PR 230125 for this.
Comment 13 Gerald Pfeifer freebsd_committer 2018-07-28 22:06:28 UTC
Antoine, there are only three ports affected:
 - devel/dia2code+
 - misc/rumprun
 - lang/yap(-devel) 
for all of which we have PRs (and at least in two cases maintainers
have not taken appropriate action for months and months).

Given this is a tradeoff, see Jan's comment #11 re C++ support, okay
to proceed now?
Comment 14 Antoine Brodin freebsd_committer 2018-07-29 08:11:25 UTC
(In reply to Gerald Pfeifer from comment #13)
Do it,  I will let you know if I see some fallout.
Comment 15 commit-hook freebsd_committer 2018-07-29 22:00:43 UTC
A commit references this bug:

Author: gerald
Date: Sun Jul 29 21:59:44 UTC 2018
New revision: 475856
URL: https://svnweb.freebsd.org/changeset/ports/475856

Log:
  Update the default version of GCC (pulled in via USE_GCC=yes and some
  others) from GCC 6 to GCC 7.

  PR:		222542
  Tested by:	antoine (exp-runs)
  Approved by:	antoine
  Thanks to:	jbeich, tobik, and others for helping fix (broken) ports

Changes:
  head/Mk/bsd.default-versions.mk
Comment 16 commit-hook freebsd_committer 2018-07-29 22:19:59 UTC
A commit references this bug:

Author: gerald
Date: Sun Jul 29 22:19:06 UTC 2018
New revision: 475857
URL: https://svnweb.freebsd.org/changeset/ports/475857

Log:
  Bump PORTREVISION for ports depending on the canonical version of GCC
  in the ports tree (via Mk/bsd.default-versions.mk and lang/gcc) which
  has now moved from GCC 6 to GCC 7 by default.

  This includes ports
   - featuring USE_GCC=yes or USE_GCC=any,
   - featuring USES=fortran,
   - using Mk/bsd.octave.mk which in turn features USES=fortran, and those
   - with USES=compiler specifying one of openmp, nestedfct, c11, c++0x,
     c++11-lib, c++11-lang, c++14-lang, c++17-lang, or gcc-c++11-lib.

  PR:		222542

Changes:
  head/Mk/bsd.ruby.mk
  head/accessibility/atkmm/Makefile
  head/archivers/brotli/Makefile
  head/archivers/c-blosc/Makefile
  head/archivers/innoextract/Makefile
  head/archivers/kf5-karchive/Makefile
  head/archivers/lazperf/Makefile
  head/archivers/libpar2/Makefile
  head/archivers/paq/Makefile
  head/archivers/pxz/Makefile
  head/archivers/py-brotli/Makefile
  head/archivers/rvm/Makefile
  head/astro/kstars/Makefile
  head/astro/kstars-kde4/Makefile
  head/astro/libosmium/Makefile
  head/astro/nightfall/Makefile
  head/astro/opencpn/Makefile
  head/astro/qmapshack/Makefile
  head/astro/viking/Makefile
  head/astro/wcslib/Makefile
  head/astro/xtide/Makefile
  head/audio/amsynth/Makefile
  head/audio/ardour5/Makefile
  head/audio/audacity/Makefile
  head/audio/calf-lv2/Makefile
  head/audio/carla/Makefile
  head/audio/ccaudio2/Makefile
  head/audio/chromaprint/Makefile
  head/audio/cmus/Makefile
  head/audio/csound6/Makefile
  head/audio/deadbeef/Makefile
  head/audio/espeak/Makefile
  head/audio/faust/Makefile
  head/audio/faustlive/Makefile
  head/audio/firefly/Makefile
  head/audio/funktrackergold/Makefile
  head/audio/gbsplay/Makefile
  head/audio/gnuspeechsa/Makefile
  head/audio/gogglesmm/Makefile
  head/audio/gtkguitune/Makefile
  head/audio/gxplugins-lv2/Makefile
  head/audio/hydrogen/Makefile
  head/audio/idjc/Makefile
  head/audio/jalv/Makefile
  head/audio/libmusicxml/Makefile
  head/audio/libsoxr/Makefile
  head/audio/mpdas/Makefile
  head/audio/murmur/Makefile
  head/audio/musescore/Makefile
  head/audio/openal-soft/Makefile
  head/audio/openspc/Makefile
  head/audio/paman/Makefile
  head/audio/paprefs/Makefile
  head/audio/patchage/Makefile
  head/audio/pavucontrol/Makefile
  head/audio/pavumeter/Makefile
  head/audio/plasma5-plasma-pa/Makefile
  head/audio/polyphone/Makefile
  head/audio/pragha/Makefile
  head/audio/pulseaudio/Makefile
  head/audio/py-karaoke/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/qjackctl/Makefile
  head/audio/qmidiarp/Makefile
  head/audio/quimup/Makefile
  head/audio/rosegarden/Makefile
  head/audio/sayonara/Makefile
  head/audio/schismtracker/Makefile
  head/audio/soundkonverter/Makefile
  head/audio/soundtouch/Makefile
  head/audio/spek/Makefile
  head/audio/synthpod-lv2/Makefile
  head/audio/triceratops-lv2/Makefile
  head/audio/vm-lv2/Makefile
  head/audio/wxguitar/Makefile
  head/audio/xmms-gbsplay/Makefile
  head/audio/zam-plugins-lv2/Makefile
  head/audio/zita-convolver/Makefile
  head/benchmarks/himenobench/Makefile
  head/benchmarks/hpl/Makefile
  head/benchmarks/lzbench/Makefile
  head/benchmarks/octave-forge-benchmark/Makefile
  head/benchmarks/polygraph/Makefile
  head/benchmarks/stress-ng/Makefile
  head/biology/bowtie/Makefile
  head/biology/canu/Makefile
  head/biology/cd-hit/Makefile
  head/biology/fasttree/Makefile
  head/biology/iqtree/Makefile
  head/biology/jellyfish/Makefile
  head/biology/kallisto/Makefile
  head/biology/molden/Makefile
  head/biology/mopac/Makefile
  head/biology/ncbi-blast+/Makefile
  head/biology/psi88/Makefile
  head/biology/seqan-apps/Makefile
  head/biology/stacks/Makefile
  head/biology/t_coffee/Makefile
  head/biology/tinker/Makefile
  head/cad/NASTRAN-95/Makefile
  head/cad/alliance/Makefile
  head/cad/calculix/Makefile
  head/cad/calculix-ccx/Makefile
  head/cad/cura-engine/Makefile
  head/cad/elmerfem/Makefile
  head/cad/feappv/Makefile
  head/cad/freecad/Makefile
  head/cad/freehdl/Makefile
  head/cad/gmsh/Makefile
  head/cad/gspiceui/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/klayout/Makefile
  head/cad/libopencad/Makefile
  head/cad/librecad/Makefile
  head/cad/meshlab/Makefile
  head/cad/openscad/Makefile
  head/cad/openscad-devel/Makefile
  head/cad/openvsp/Makefile
  head/cad/pdnmesh/Makefile
  head/cad/qelectrotech/Makefile
  head/cad/qucs/Makefile
  head/cad/repsnapper/Makefile
  head/cad/stepcode/Makefile
  head/cad/tochnog/Makefile
  head/chinese/gcin-qt5/Makefile
  head/chinese/ibus-libpinyin/Makefile
  head/chinese/ibus-pinyin/Makefile
  head/chinese/librime/Makefile
  head/chinese/opencc/Makefile
  head/chinese/pyzy/Makefile
  head/comms/aldo/Makefile
  head/comms/dabstick-radio/Makefile
  head/comms/efax-gtk/Makefile
  head/comms/ems-flasher/Makefile
  head/comms/flcluster/Makefile
  head/comms/fldigi/Makefile
  head/comms/freedv/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/gtkmmorse/Makefile
  head/comms/qt5-serialbus/Makefile
  head/comms/sdr-wspr/Makefile
  head/comms/svxlink/Makefile
  head/comms/telldus-core/Makefile
  head/comms/trustedqsl/Makefile
  head/comms/uhd/Makefile
  head/comms/usrp/Makefile
  head/comms/wsjt/Makefile
  head/comms/wsjtx/Makefile
  head/comms/wspr/Makefile
  head/comms/xastir/Makefile
  head/converters/osm2pgrouting/Makefile
  head/databases/akonadi/Makefile
  head/databases/dbixx/Makefile
  head/databases/evolution-data-server/Makefile
  head/databases/fastdb/Makefile
  head/databases/gigabase/Makefile
  head/databases/gnats4/Makefile
  head/databases/gomdb/Makefile
  head/databases/grass7/Makefile
  head/databases/iowow/Makefile
  head/databases/leveldb/Makefile
  head/databases/levigo/Makefile
  head/databases/libgdamm5/Makefile
  head/databases/mariadb-connector-c/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb103-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mysql-q4m/Makefile
  head/databases/mysql56-server/Makefile
  head/databases/mysql57-server/Makefile
  head/databases/mysql80-server/Makefile
  head/databases/percona57-server/Makefile
  head/databases/pgadmin3/Makefile
  head/databases/pgmodeler/Makefile
  head/databases/pgrouting/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/postgresql-libpqxx/Makefile
  head/databases/postgresql-odbc/Makefile
  head/databases/postgresql-plv8js/Makefile
  head/databases/redis/Makefile
  head/databases/redis-devel/Makefile
  head/databases/rocksdb/Makefile
  head/databases/sqlitestudio/Makefile
  head/databases/tarantool/Makefile
  head/databases/timescaledb/Makefile
  head/databases/vsqlite/Makefile
  head/databases/xapian-core/Makefile
  head/deskutils/akonadi-calendar-tools/Makefile
  head/deskutils/akonadi-import-wizard/Makefile
  head/deskutils/akonadiconsole/Makefile
  head/deskutils/akregator/Makefile
  head/deskutils/bijiben/Makefile
  head/deskutils/charmtimetracker/Makefile
  head/deskutils/easystroke/Makefile
  head/deskutils/fusenshi/Makefile
  head/deskutils/gnome-documents/Makefile
  head/deskutils/gnome-initial-setup/Makefile
  head/deskutils/gnome-photos/Makefile
  head/deskutils/gnome-todo/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/grantlee-editor/Makefile
  head/deskutils/grantleetheme/Makefile
  head/deskutils/growl-for-linux/Makefile
  head/deskutils/homerun/Makefile
  head/deskutils/kaddressbook/Makefile
  head/deskutils/kalarm/Makefile
  head/deskutils/kdeconnect/Makefile
  head/deskutils/kdepim-addons/Makefile
  head/deskutils/kdepim-apps-libs/Makefile
  head/deskutils/kdepim-runtime/Makefile
  head/deskutils/kmail/Makefile
  head/deskutils/kmail-account-wizard/Makefile
  head/deskutils/knotes/Makefile
  head/deskutils/kontact/Makefile
  head/deskutils/korganizer/Makefile
  head/deskutils/libkdepim/Makefile
  head/deskutils/mbox-importer/Makefile
  head/deskutils/nextcloudclient/Makefile
  head/deskutils/owncloudclient/Makefile
  head/deskutils/pim-data-exporter/Makefile
  head/deskutils/pim-sieve-editor/Makefile
  head/deskutils/pinot/Makefile
  head/deskutils/plasma5-milou/Makefile
  head/deskutils/plasma5-sddm-kcm/Makefile
  head/deskutils/sliderule/Makefile
  head/deskutils/taskd/Makefile
  head/deskutils/tasksh/Makefile
  head/deskutils/taskwarrior/Makefile
  head/deskutils/timewarrior/Makefile
  head/deskutils/treesheets/Makefile
  head/deskutils/xneur/Makefile
  head/devel/RStudio/Makefile
  head/devel/aegis/Makefile
  head/devel/android-tools-fastboot/Makefile
  head/devel/android-tools-simpleperf/Makefile
  head/devel/apitrace/Makefile
  head/devel/argdata/Makefile
  head/devel/art/Makefile
  head/devel/asmutils/Makefile
  head/devel/astyle/Makefile
  head/devel/atlas-devel/Makefile
  head/devel/aws-sdk-cpp/Makefile
  head/devel/binaryen/Makefile
  head/devel/bisoncpp/Makefile
  head/devel/blitz/Makefile
  head/devel/bossa/Makefile
  head/devel/breakpad/Makefile
  head/devel/bullet/Makefile
  head/devel/caf/Makefile
  head/devel/ccrtp/Makefile
  head/devel/cctz/Makefile
  head/devel/cheritrace-devel/Makefile
  head/devel/clanlib/Makefile
  head/devel/cmake/Makefile
  head/devel/codequery/Makefile
  head/devel/courier-unicode/Makefile
  head/devel/covtool/Makefile
  head/devel/cppcheck/Makefile
  head/devel/cpprestsdk/Makefile
  head/devel/cppunit/Makefile
  head/devel/cssc/Makefile
  head/devel/cx_Freeze/Makefile
  head/devel/dbus-c++/Makefile
  head/devel/devhelp/Makefile
  head/devel/dia2code+/Makefile
  head/devel/drpython/Makefile
  head/devel/easyloggingpp/Makefile
  head/devel/eblob/Makefile
  head/devel/efivar/Makefile
  head/devel/elfutils/Makefile
  head/devel/embb/Makefile
  head/devel/eris/Makefile
  head/devel/flang/Makefile
  head/devel/flang-clang/Makefile
  head/devel/flatbuffers/Makefile
  head/devel/ga/Makefile
  head/devel/gconfmm26/Makefile
  head/devel/geany/Makefile
  head/devel/gecode/Makefile
  head/devel/gitg/Makefile
  head/devel/glib20/Makefile
  head/devel/glibmm/Makefile
  head/devel/glibmm-reference/Makefile
  head/devel/gnu-efi/Makefile
  head/devel/godot2/Makefile
  head/devel/grantlee5/Makefile
  head/devel/heimdall/Makefile
  head/devel/hexd/Makefile
  head/devel/hhdate/Makefile
  head/devel/hyperscan/Makefile
  head/devel/icu/Makefile
  head/devel/icu-le-hb/Makefile
  head/devel/injeqt/Makefile
  head/devel/ipython/Makefile
  head/devel/jsoncpp/Makefile
  head/devel/jsonnet/Makefile
  head/devel/kdesvn-kde4/Makefile
  head/devel/kdev-php/Makefile
  head/devel/kdev-python/Makefile
  head/devel/kdevelop/Makefile
  head/devel/kdevelop-kde4/Makefile
  head/devel/kdevelop-pg-qt/Makefile
  head/devel/kdevelop-pg-qt-kde4/Makefile
  head/devel/kdevelop-php-docs-kde4/Makefile
  head/devel/kdevelop-php-kde4/Makefile
  head/devel/kdevplatform-kde4/Makefile
  head/devel/kf5-kauth/Makefile
  head/devel/kf5-kbookmarks/Makefile
  head/devel/kf5-kcmutils/Makefile
  head/devel/kf5-kconfig/Makefile
  head/devel/kf5-kcoreaddons/Makefile
  head/devel/kf5-kcrash/Makefile
  head/devel/kf5-kdbusaddons/Makefile
  head/devel/kf5-kdeclarative/Makefile
  head/devel/kf5-kdoctools/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-ki18n/Makefile
  head/devel/kf5-kidletime/Makefile
  head/devel/kf5-kio/Makefile
  head/devel/kf5-kitemmodels/Makefile
  head/devel/kf5-knewstuff/Makefile
  head/devel/kf5-knotifications/Makefile
  head/devel/kf5-knotifyconfig/Makefile
  head/devel/kf5-kpackage/Makefile
  head/devel/kf5-kparts/Makefile
  head/devel/kf5-kpeople/Makefile
  head/devel/kf5-kpty/Makefile
  head/devel/kf5-kservice/Makefile
  head/devel/kf5-ktexteditor/Makefile
  head/devel/kf5-kunitconversion/Makefile
  head/devel/kf5-solid/Makefile
  head/devel/kf5-threadweaver/Makefile
  head/devel/kio-extras/Makefile
  head/devel/kronosnet/Makefile
  head/devel/libbobcat/Makefile
  head/devel/libconcurrent/Makefile
  head/devel/libcrossguid/Makefile
  head/devel/libcutl/Makefile
  head/devel/libcwd/Makefile
  head/devel/libdbusmenu-qt/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libfmt/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libgit2-glib/Makefile
  head/devel/libglademm24/Makefile
  head/devel/libgrading/Makefile
  head/devel/libical/Makefile
  head/devel/liblas/Makefile
  head/devel/liblxqt/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/libqtxdg/Makefile
  head/devel/libsigc++20/Makefile
  head/devel/libtuntap/Makefile
  head/devel/libvirt/Makefile
  head/devel/libwfut/Makefile
  head/devel/libzim/Makefile
  head/devel/linux-kernel/Makefile
  head/devel/lldb38/Makefile
  head/devel/llvm-cheri/Makefile
  head/devel/llvm-devel/Makefile
  head/devel/llvm34/Makefile
  head/devel/llvm35/Makefile
  head/devel/llvm38/Makefile
  head/devel/llvm40/Makefile
  head/devel/llvm50/Makefile
  head/devel/llvm60/Makefile
  head/devel/lockfree-malloc/Makefile
  head/devel/love/Makefile
  head/devel/mercator/Makefile
  head/devel/msgpack/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/nlohmann-json/Makefile
  head/devel/obby/Makefile
  head/devel/ocaml-lacaml/Makefile
  head/devel/oclgrind/Makefile
  head/devel/opendht/Makefile
  head/devel/openmp/Makefile
  head/devel/p5-perlkde-kde4/Makefile
  head/devel/papi/Makefile
  head/devel/pecl-intl/Makefile
  head/devel/pecl-swoole/Makefile
  head/devel/php70-intl/Makefile
  head/devel/php71-intl/Makefile
  head/devel/php72-intl/Makefile
  head/devel/plasma5-khotkeys/Makefile
  head/devel/plasma5-kwrited/Makefile
  head/devel/plasma5-plasma-sdk/Makefile
  head/devel/poco/Makefile
  head/devel/ponscripter-sekai/Makefile
  head/devel/protobuf/Makefile
  head/devel/protobuf-c/Makefile
  head/devel/pure-stllib/Makefile
  head/devel/py-bullet3/Makefile
  head/devel/py-grpcio/Makefile
  head/devel/py-llfuse/Makefile
  head/devel/py-llvmlite/Makefile
  head/devel/py-numba/Makefile
  head/devel/py-opendht/Makefile
  head/devel/py-pyicu/Makefile
  head/devel/py-tables/Makefile
  head/devel/pybind11/Makefile
  head/devel/qbs/Makefile
  head/devel/qscintilla2/Makefile
  head/devel/qt5-qmake/Makefile
  head/devel/raknet/Makefile
  head/devel/rapidjson/Makefile
  head/devel/re2/Makefile
  head/devel/regexxer/Makefile
  head/devel/rhtvision/Makefile
  head/devel/rlvm/Makefile
  head/devel/sdl2pp/Makefile
  head/devel/sfml/Makefile
  head/devel/simgear/Makefile
  head/devel/smv/Makefile
  head/devel/sourcenav/Makefile
  head/devel/spdlog/Makefile
  head/devel/synfig/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/tigcc/Makefile
  head/devel/ucommon/Makefile
  head/devel/upp/Makefile
  head/devel/varconf/Makefile
  head/devel/woff2/Makefile
  head/devel/wxformbuilder/Makefile
  head/devel/xsd/Makefile
  head/devel/xtensa-esp32-elf/Makefile
  head/devel/zeal/Makefile
  head/dns/bundy/Makefile
  head/dns/c-ares/Makefile
  head/dns/kf5-kdnssd/Makefile
  head/dns/knot2/Makefile
  head/dns/packetq/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor40/Makefile
  head/dns/void-zones-tools/Makefile
  head/dns/yadifa/Makefile
  head/editors/calligra/Makefile
  head/editors/calligraplan/Makefile
  head/editors/codelite/Makefile
  head/editors/cooledit/Makefile
  head/editors/emacs/Makefile
  head/editors/emacs-devel/Makefile
  head/editors/focuswriter/Makefile
  head/editors/gedit/Makefile
  head/editors/gedit-plugins/Makefile
  head/editors/gobby/Makefile
  head/editors/latexila/Makefile
  head/editors/medit/Makefile
  head/editors/mp/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/p5-Padre/Makefile
  head/editors/pluma/Makefile
  head/editors/poedit/Makefile
  head/editors/textroom/Makefile
  head/editors/texworks/Makefile
  head/editors/yzis/Makefile
  head/editors/zile/Makefile
  head/emulators/bochs/Makefile
  head/emulators/catapult/Makefile
  head/emulators/dolphin-emu/Makefile
  head/emulators/fceux/Makefile
  head/emulators/gxemul/Makefile
  head/emulators/higan/Makefile
  head/emulators/mednafen/Makefile
  head/emulators/mgba/Makefile
  head/emulators/mupen64plus-rsp-cxd4/Makefile
  head/emulators/openmsx/Makefile
  head/emulators/pearpc/Makefile
  head/emulators/pipelight/Makefile
  head/emulators/ppsspp/Makefile
  head/emulators/riscv-isa-sim/Makefile
  head/emulators/skyeye/Makefile
  head/emulators/snes9x-gtk/Makefile
  head/emulators/stella/Makefile
  head/emulators/virtualbox-ose-additions/Makefile
  head/emulators/wine/Makefile
  head/emulators/wine-devel/Makefile
  head/emulators/wxmupen64plus/Makefile
  head/emulators/x49gp/Makefile
  head/finance/bitcoin-armory/Makefile
  head/finance/gnucash/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/finance/qhacc/Makefile
  head/finance/quantlib/Makefile
  head/finance/skrooge/Makefile
  head/french/aster/Makefile
  head/french/med/Makefile
  head/ftp/curlpp/Makefile
  head/ftp/lftp/Makefile
  head/games/0ad/Makefile
  head/games/3omns/Makefile
  head/games/7kaa/Makefile
  head/games/adonthell/Makefile
  head/games/ags/Makefile
  head/games/alienarena/Makefile
  head/games/asc/Makefile
  head/games/blinkensisters/Makefile
  head/games/braincurses/Makefile
  head/games/bstone/Makefile
  head/games/bunnysay/Makefile
  head/games/bzflag/Makefile
  head/games/cataclysm-dda/Makefile
  head/games/cockatrice/Makefile
  head/games/connectagram/Makefile
  head/games/corsix-th/Makefile
  head/games/craft/Makefile
  head/games/criticalmass/Makefile
  head/games/critterding/Makefile
  head/games/doomsday/Makefile
  head/games/dunelegacy/Makefile
  head/games/dustrac/Makefile
  head/games/easyrpg-player/Makefile
  head/games/el/Makefile
  head/games/emptyepsilon/Makefile
  head/games/endless-sky/Makefile
  head/games/etracer/Makefile
  head/games/exult/Makefile
  head/games/flightgear/Makefile
  head/games/freecell-solver/Makefile
  head/games/freedink-dfarc/Makefile
  head/games/freeminer/Makefile
  head/games/gnome-sudoku/Makefile
  head/games/gnomebreakout/Makefile
  head/games/gnubg/Makefile
  head/games/gnudoku/Makefile
  head/games/golly/Makefile
  head/games/gottet/Makefile
  head/games/gtkevemon/Makefile
  head/games/gtkpool/Makefile
  head/games/hexalate/Makefile
  head/games/hexxagon/Makefile
  head/games/hoverboard-sdl/Makefile
  head/games/irrlamb/Makefile
  head/games/libkmahjongg/Makefile
  head/games/liblcf/Makefile
  head/games/lordsawar/Makefile
  head/games/maxr/Makefile
  head/games/megaglest/Makefile
  head/games/mirrormagic/Makefile
  head/games/monster-masher/Makefile
  head/games/naev/Makefile
  head/games/nxengine/Makefile
  head/games/openclaw/Makefile
  head/games/openomf/Makefile
  head/games/openspades/Makefile
  head/games/openttd/Makefile
  head/games/openxcom/Makefile
  head/games/openyahtzee/Makefile
  head/games/peg-e/Makefile
  head/games/pingus/Makefile
  head/games/pink-pony/Makefile
  head/games/pioneer/Makefile
  head/games/qqwing/Makefile
  head/games/quackle/Makefile
  head/games/quakeforge/Makefile
  head/games/retroarch/Makefile
  head/games/rubix/Makefile
  head/games/shaaft/Makefile
  head/games/simsu/Makefile
  head/games/slade/Makefile
  head/games/solarus/Makefile
  head/games/solarus-quest-editor/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/stonesoup/Makefile
  head/games/stuntrally/Makefile
  head/games/supertux2/Makefile
  head/games/supertuxkart/Makefile
  head/games/syobon/Makefile
  head/games/tanglet/Makefile
  head/games/tbe/Makefile
  head/games/teeworlds/Makefile
  head/games/tetzle/Makefile
  head/games/torcs/Makefile
  head/games/traingame/Makefile
  head/games/trenchbroom/Makefile
  head/games/ufoai/Makefile
  head/games/warsow/Makefile
  head/games/warzone2100/Makefile
  head/games/widelands/Makefile
  head/games/wxlauncher/Makefile
  head/games/wyrmgus/Makefile
  head/games/xbat/Makefile
  head/graphics/GraphicsMagick/Makefile
  head/graphics/ImageMagick/Makefile
  head/graphics/ImageMagick7/Makefile
  head/graphics/OpenEXR/Makefile
  head/graphics/aaphoto/Makefile
  head/graphics/aeskulap/Makefile
  head/graphics/agave/Makefile
  head/graphics/alembic/Makefile
  head/graphics/animorph/Makefile
  head/graphics/aqsis/Makefile
  head/graphics/argyllcms/Makefile
  head/graphics/aseprite/Makefile
  head/graphics/ayam/Makefile
  head/graphics/bugle/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cairomm/Makefile
  head/graphics/cegui/Makefile
  head/graphics/cimg/Makefile
  head/graphics/colmap/Makefile
  head/graphics/converseen/Makefile
  head/graphics/copperspice/Makefile
  head/graphics/darktable/Makefile
  head/graphics/dataplot/Makefile
  head/graphics/dcp2icc/Makefile
  head/graphics/delaboratory/Makefile
  head/graphics/diffpdf/Makefile
  head/graphics/digikam/Makefile
  head/graphics/enblend/Makefile
  head/graphics/epdfview/Makefile
  head/graphics/ephoto/Makefile
  head/graphics/evince/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/feh/Makefile
  head/graphics/fig2sxd/Makefile
  head/graphics/freeimage/Makefile
  head/graphics/geomorph/Makefile
  head/graphics/gimmage/Makefile
  head/graphics/gimp-beautify-plugin/Makefile
  head/graphics/gimp-gmic-plugin/Makefile
  head/graphics/gimp-refocus-plugin/Makefile
  head/graphics/gmic/Makefile
  head/graphics/goocanvasmm2/Makefile
  head/graphics/gource/Makefile
  head/graphics/goxel/Makefile
  head/graphics/gthumb/Makefile
  head/graphics/gtimelapse/Makefile
  head/graphics/guetzli/Makefile
  head/graphics/gx/Makefile
  head/graphics/hiptext/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/ipe/Makefile
  head/graphics/jogamp-jogl/Makefile
  head/graphics/kf5-kimageformats/Makefile
  head/graphics/kf5-kplotting/Makefile
  head/graphics/kf5-prison/Makefile
  head/graphics/kipiplugins/Makefile
  head/graphics/krita/Makefile
  head/graphics/libbpg/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libgnomecanvasmm26/Makefile
  head/graphics/libkdcraw/Makefile
  head/graphics/libkexiv2/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/libraw/Makefile
  head/graphics/libwpg03/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/lightzone/Makefile
  head/graphics/lximage-qt/Makefile
  head/graphics/mahotas/Makefile
  head/graphics/makehuman/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/mesa-dri/Makefile
  head/graphics/mhgui/Makefile
  head/graphics/mupdf/Makefile
  head/graphics/mypaint/Makefile
  head/graphics/nurbs++/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/okular/Makefile
  head/graphics/opencollada/Makefile
  head/graphics/opencsg/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/oyranos/Makefile
  head/graphics/p5-PGPLOT/Makefile
  head/graphics/pfstools/Makefile
  head/graphics/pgplot/Makefile
  head/graphics/photivo/Makefile
  head/graphics/photoqt/Makefile
  head/graphics/piglit/Makefile
  head/graphics/pixd/Makefile
  head/graphics/pixie/Makefile
  head/graphics/py-gdal/Makefile
  head/graphics/py-poppler-qt4/Makefile
  head/graphics/qcomicbook/Makefile
  head/graphics/raster3d/Makefile
  head/graphics/rawtherapee/Makefile
  head/graphics/seexpr/Makefile
  head/graphics/sekrit-twc-zimg/Makefile
  head/graphics/sharpconstruct/Makefile
  head/graphics/shotwell/Makefile
  head/graphics/simpleviewer/Makefile
  head/graphics/swfmill/Makefile
  head/graphics/synfigstudio/Makefile
  head/graphics/tesseract/Makefile
  head/graphics/tiled/Makefile
  head/graphics/tulip/Makefile
  head/graphics/vapoursynth-fmtconv/Makefile
  head/graphics/vapoursynth-waifu2x-w2xc/Makefile
  head/graphics/vigra/Makefile
  head/graphics/vips/Makefile
  head/graphics/waffle/Makefile
  head/graphics/waifu2x-converter-cpp/Makefile
  head/graphics/webp/Makefile
  head/graphics/wxsvg/Makefile
  head/graphics/xd3d/Makefile
  head/graphics/zathura/Makefile
  head/graphics/zathura-cb/Makefile
  head/graphics/zathura-djvu/Makefile
  head/graphics/zathura-pdf-mupdf/Makefile
  head/graphics/zathura-pdf-poppler/Makefile
  head/graphics/zathura-ps/Makefile
  head/irc/ezbounce/Makefile
  head/irc/ircd-ratbox/Makefile
  head/irc/ircservices/Makefile
  head/irc/lostirc/Makefile
  head/irc/netwalker-ircc/Makefile
  head/irc/quassel/Makefile
  head/irc/znc/Makefile
  head/japanese/fcitx-skk/Makefile
  head/japanese/mozc-server/Makefile
  head/japanese/skkinput3/Makefile
  head/japanese/xdtp/Makefile
  head/japanese/xtr/Makefile
  head/java/classpath/Makefile
  head/java/intellij-fsnotifier/Makefile
  head/java/sigar/Makefile
  head/lang/afnix/Makefile
  head/lang/angelscript/Makefile
  head/lang/cilkplus/Makefile
  head/lang/cint/Makefile
  head/lang/cjs/Makefile
  head/lang/clang34/Makefile
  head/lang/clang35/Makefile
  head/lang/cling/Makefile
  head/lang/gambit-c/Makefile
  head/lang/gcc6/Makefile
  head/lang/gcc6-devel/Makefile
  head/lang/gcc7/Makefile
  head/lang/gcc7-devel/Makefile
  head/lang/gcc8/Makefile
  head/lang/gcc8-devel/Makefile
  head/lang/gcc9-devel/Makefile
  head/lang/gforth/Makefile
  head/lang/ghc/Makefile
  head/lang/gjs/Makefile
  head/lang/gprolog/Makefile
  head/lang/hugs/Makefile
  head/lang/icon/Makefile
  head/lang/io/Makefile
  head/lang/julia/Makefile
  head/lang/kf5-kross/Makefile
  head/lang/libobjc2/Makefile
  head/lang/luajit/Makefile
  head/lang/mlton/Makefile
  head/lang/modula3/Makefile
  head/lang/mono/Makefile
  head/lang/nhc98/Makefile
  head/lang/oo2c/Makefile
  head/lang/opencoarrays/Makefile
  head/lang/p5-ExtUtils-F77/Makefile
  head/lang/phantomjs/Makefile
  head/lang/ponyc/Makefile
  head/lang/pure/Makefile
  head/lang/ratfor/Makefile
  head/lang/sagittarius-scheme/Makefile
  head/lang/scm/Makefile
  head/lang/spidermonkey24/Makefile
  head/lang/spidermonkey38/Makefile
  head/lang/v8/Makefile
  head/lang/v8-devel/Makefile
  head/lang/ypsilon/Makefile
  head/mail/annoyance-filter/Makefile
  head/mail/cone/Makefile
  head/mail/courier-imap/Makefile
  head/mail/dovecot-pigeonhole/Makefile
  head/mail/dovecot-pigeonhole04/Makefile
  head/mail/gnubiff/Makefile
  head/mail/libvmime/Makefile
  head/mail/maildrop/Makefile
  head/mail/milter-callback/Makefile
  head/mail/pop3vscan/Makefile
  head/mail/rspamd/Makefile
  head/mail/rspamd-devel/Makefile
  head/mail/spamdyke/Makefile
  head/mail/spamprobe/Makefile
  head/mail/sqwebmail/Makefile
  head/mail/trojita/Makefile
  head/math/R/Makefile
  head/math/adept/Makefile
  head/math/algae/Makefile
  head/math/ambit/Makefile
  head/math/armadillo/Makefile
  head/math/arpack/Makefile
  head/math/arpack-ng/Makefile
  head/math/aspcud/Makefile
  head/math/atlas/Makefile
  head/math/blacs/Makefile
  head/math/blocksolve95/Makefile
  head/math/cantor/Makefile
  head/math/cantor-kde4/Makefile
  head/math/cbc/Makefile
  head/math/cblas/Makefile
  head/math/ceres-solver/Makefile
  head/math/clblast/Makefile
  head/math/clp/Makefile
  head/math/cmlib/Makefile
  head/math/coinmp/Makefile
  head/math/cryptominisat/Makefile
  head/math/cvc3/Makefile
  head/math/dynare/Makefile
  head/math/eispack/Makefile
  head/math/fflas-ffpack/Makefile
  head/math/fftw/Makefile
  head/math/fftw3/Makefile
  head/math/fityk/Makefile
  head/math/gambit/Makefile
  head/math/giacxcas/Makefile
  head/math/givaro/Makefile
  head/math/glm/Makefile
  head/math/glucose/Makefile
  head/math/gnome-calculator/Makefile
  head/math/gotoblas/Makefile
  head/math/gracetmpl/Makefile
  head/math/gretl/Makefile
  head/math/gringo/Makefile
  head/math/hfst/Makefile
  head/math/ipopt/Makefile
  head/math/ised/Makefile
  head/math/jags/Makefile
  head/math/kig/Makefile
  head/math/kig-kde4/Makefile
  head/math/kktdirect/Makefile
  head/math/lapack/Makefile
  head/math/lapack++/Makefile
  head/math/lapack95/Makefile
  head/math/levmar/Makefile
  head/math/libRmath/Makefile
  head/math/librsb/Makefile
  head/math/libtsnnls/Makefile
  head/math/linpack/Makefile
  head/math/math77/Makefile
  head/math/metis/Makefile
  head/math/miracl/Makefile
  head/math/mosesdecoder/Makefile
  head/math/mumps/Makefile
  head/math/mumps-edf/Makefile
  head/math/octave/Makefile
  head/math/octave-forge-actuarial/Makefile
  head/math/octave-forge-audio/Makefile
  head/math/octave-forge-bim/Makefile
  head/math/octave-forge-bioinfo/Makefile
  head/math/octave-forge-bsltl/Makefile
  head/math/octave-forge-cgi/Makefile
  head/math/octave-forge-civil-engineering/Makefile
  head/math/octave-forge-communications/Makefile
  head/math/octave-forge-control/Makefile
  head/math/octave-forge-data-smoothing/Makefile
  head/math/octave-forge-database/Makefile
  head/math/octave-forge-dataframe/Makefile
  head/math/octave-forge-dicom/Makefile
  head/math/octave-forge-divand/Makefile
  head/math/octave-forge-doctest/Makefile
  head/math/octave-forge-econometrics/Makefile
  head/math/octave-forge-engine/Makefile
  head/math/octave-forge-fenv/Makefile
  head/math/octave-forge-financial/Makefile
  head/math/octave-forge-fits/Makefile
  head/math/octave-forge-fl-core/Makefile
  head/math/octave-forge-fpl/Makefile
  head/math/octave-forge-fuzzy-logic-toolkit/Makefile
  head/math/octave-forge-ga/Makefile
  head/math/octave-forge-general/Makefile
  head/math/octave-forge-generate_html/Makefile
  head/math/octave-forge-geometry/Makefile
  head/math/octave-forge-gnuplot/Makefile
  head/math/octave-forge-gsl/Makefile
  head/math/octave-forge-ident/Makefile
  head/math/octave-forge-image/Makefile
  head/math/octave-forge-informationtheory/Makefile
  head/math/octave-forge-integration/Makefile
  head/math/octave-forge-interval/Makefile
  head/math/octave-forge-io/Makefile
  head/math/octave-forge-irsa/Makefile
  head/math/octave-forge-level-set/Makefile
  head/math/octave-forge-linear-algebra/Makefile
  head/math/octave-forge-lssa/Makefile
  head/math/octave-forge-ltfat/Makefile
  head/math/octave-forge-mapping/Makefile
  head/math/octave-forge-mechanics/Makefile
  head/math/octave-forge-miscellaneous/Makefile
  head/math/octave-forge-missing-functions/Makefile
  head/math/octave-forge-msh/Makefile
  head/math/octave-forge-multicore/Makefile
  head/math/octave-forge-mvn/Makefile
  head/math/octave-forge-nan/Makefile
  head/math/octave-forge-ncarray/Makefile
  head/math/octave-forge-netcdf/Makefile
  head/math/octave-forge-nlwing2/Makefile
  head/math/octave-forge-nnet/Makefile
  head/math/octave-forge-nurbs/Makefile
  head/math/octave-forge-oct2mat/Makefile
  head/math/octave-forge-octclip/Makefile
  head/math/octave-forge-octproj/Makefile
  head/math/octave-forge-odebvp/Makefile
  head/math/octave-forge-optics/Makefile
  head/math/octave-forge-optim/Makefile
  head/math/octave-forge-optiminterp/Makefile
  head/math/octave-forge-outliers/Makefile
  head/math/octave-forge-parallel/Makefile
  head/math/octave-forge-pdb/Makefile
  head/math/octave-forge-plot/Makefile
  head/math/octave-forge-quaternion/Makefile
  head/math/octave-forge-queueing/Makefile
  head/math/octave-forge-secs1d/Makefile
  head/math/octave-forge-secs2d/Makefile
  head/math/octave-forge-secs3d/Makefile
  head/math/octave-forge-signal/Makefile
  head/math/octave-forge-simp/Makefile
  head/math/octave-forge-sockets/Makefile
  head/math/octave-forge-sparsersb/Makefile
  head/math/octave-forge-specfun/Makefile
  head/math/octave-forge-special-matrix/Makefile
  head/math/octave-forge-splines/Makefile
  head/math/octave-forge-statistics/Makefile
  head/math/octave-forge-stk/Makefile
  head/math/octave-forge-strings/Makefile
  head/math/octave-forge-struct/Makefile
  head/math/octave-forge-symband/Makefile
  head/math/octave-forge-symbolic/Makefile
  head/math/octave-forge-tcl-octave/Makefile
  head/math/octave-forge-tisean/Makefile
  head/math/octave-forge-tsa/Makefile
  head/math/octave-forge-video/Makefile
  head/math/octave-forge-zenity/Makefile
  head/math/octave-forge-zeromq/Makefile
  head/math/openblas/Makefile
  head/math/openfst/Makefile
  head/math/opensolaris-libm/Makefile
  head/math/p5-Math-Int128/Makefile
  head/math/pdal/Makefile
  head/math/petiga/Makefile
  head/math/plplot/Makefile
  head/math/py-cryptominisat/Makefile
  head/math/py-cyipopt/Makefile
  head/math/py-igakit/Makefile
  head/math/py-matplotlib/Makefile
  head/math/py-numpy/Makefile
  head/math/py-pynleq2/Makefile
  head/math/py-pysparse/Makefile
  head/math/py-slepc4py/Makefile
  head/math/py-symcxx/Makefile
  head/math/py-symeig/Makefile
  head/math/py-theano/Makefile
  head/math/qalculate/Makefile
  head/math/qd/Makefile
  head/math/qrupdate/Makefile
  head/math/rkward-kde/Makefile
  head/math/rpy2/Makefile
  head/math/saga/Makefile
  head/math/scalapack/Makefile
  head/math/scilab/Makefile
  head/math/sdpa/Makefile
  head/math/sdpara/Makefile
  head/math/sfft/Makefile
  head/math/slatec/Makefile
  head/math/slepc/Makefile
  head/math/spblas/Makefile
  head/math/suitesparse/Makefile
  head/math/sundials/Makefile
  head/math/superlu/Makefile
  head/math/superlu_mt/Makefile
  head/math/taucs/Makefile
  head/math/tomsfastmath/Makefile
  head/math/trlan/Makefile
  head/math/viennacl/Makefile
  head/math/vowpal_wabbit/Makefile
  head/math/wfmath/Makefile
  head/math/x12arima/Makefile
  head/math/xlife++/Makefile
  head/math/yacas/Makefile
  head/misc/estic/Makefile
  head/misc/kf5-purpose/Makefile
  head/misc/metalink-tools/Makefile
  head/misc/py-QSpectrumAnalyzer/Makefile
  head/misc/rumprun/Makefile
  head/misc/seabios/Makefile
  head/misc/sword/Makefile
  head/misc/urh/Makefile
  head/misc/xdelta3/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/assimp/Makefile
  head/multimedia/audacious/Makefile
  head/multimedia/audacious-gtk3/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/audacious-plugins-gtk3/Makefile
  head/multimedia/avidemux/Makefile
  head/multimedia/baka-mplayer/Makefile
  head/multimedia/dvdstyler/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpegthumbnailer/Makefile
  head/multimedia/ffms2/Makefile
  head/multimedia/gstreamer1-plugins/Makefile
  head/multimedia/gstreamer1-vaapi/Makefile
  head/multimedia/gstreamermm/Makefile
  head/multimedia/handbrake/Makefile
  head/multimedia/kf5-kmediaplayer/Makefile
  head/multimedia/kissdx/Makefile
  head/multimedia/kodi/Makefile
  head/multimedia/kodi-devel/Makefile
  head/multimedia/kvazaar/Makefile
  head/multimedia/libcec/Makefile
  head/multimedia/libde265/Makefile
  head/multimedia/libva-intel-driver/Makefile
  head/multimedia/libvpx/Makefile
  head/multimedia/lives/Makefile
  head/multimedia/mjpegtools/Makefile
  head/multimedia/mpc-qt/Makefile
  head/multimedia/mplayer/Makefile
  head/multimedia/mpv/Makefile
  head/multimedia/obs-studio/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/pHash/Makefile
  head/multimedia/rage/Makefile
  head/multimedia/subtitleeditor/Makefile
  head/multimedia/vapoursynth/Makefile
  head/multimedia/vdr/Makefile
  head/multimedia/vdr-plugin-softhddevice/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/webcamoid/Makefile
  head/multimedia/x264/Makefile
  head/multimedia/xanim/Makefile
  head/net/akonadi-calendar/Makefile
  head/net/akonadi-contacts/Makefile
  head/net/akonadi-mime/Makefile
  head/net/akonadi-notes/Makefile
  head/net/akonadi-search/Makefile
  head/net/belle-sip/Makefile
  head/net/calendarsupport/Makefile
  head/net/eventviews/Makefile
  head/net/freerdp/Makefile
  head/net/freerdp1/Makefile
  head/net/frr4/Makefile
  head/net/frr5/Makefile
  head/net/glusterfs/Makefile
  head/net/gnome-online-accounts/Makefile
  head/net/gupnp/Makefile
  head/net/iaxmodem/Makefile
  head/net/incidenceeditor/Makefile
  head/net/ipxe/Makefile
  head/net/kalarmcal/Makefile
  head/net/kblog/Makefile
  head/net/kcalcore/Makefile
  head/net/kcalutils/Makefile
  head/net/kcontacts/Makefile
  head/net/kdav/Makefile
  head/net/kea/Makefile
  head/net/kf5-kholidays/Makefile
  head/net/kf5-kxmlrpcclient/Makefile
  head/net/kidentitymanagement/Makefile
  head/net/kimap/Makefile
  head/net/kldap/Makefile
  head/net/kmailtransport/Makefile
  head/net/kmbox/Makefile
  head/net/kmime/Makefile
  head/net/kontactinterface/Makefile
  head/net/kpimtextedit/Makefile
  head/net/krfb/Makefile
  head/net/ksmtp/Makefile
  head/net/ktnef/Makefile
  head/net/l2tpd/Makefile
  head/net/libcmis/Makefile
  head/net/libgravatar/Makefile
  head/net/libkgapi/Makefile
  head/net/libksieve/Makefile
  head/net/libproxy-mozjs/Makefile
  head/net/libtnl/Makefile
  head/net/mailcommon/Makefile
  head/net/mailimporter/Makefile
  head/net/mediatomb/Makefile
  head/net/messagelib/Makefile
  head/net/mpich/Makefile
  head/net/mpich2/Makefile
  head/net/ndisc6/Makefile
  head/net/ndpi/Makefile
  head/net/nepenthes/Makefile
  head/net/net6/Makefile
  head/net/ns3/Makefile
  head/net/openbsc/Makefile
  head/net/openmpi/Makefile
  head/net/openmpi2/Makefile
  head/net/openmpi3/Makefile
  head/net/opensips/Makefile
  head/net/ostinato/Makefile
  head/net/pimcommon/Makefile
  head/net/pktanon/Makefile
  head/net/quagga/Makefile
  head/net/skstream/Makefile
  head/net/sobby/Makefile
  head/net/spoofer/Makefile
  head/net/syndication/Makefile
  head/net/uget/Makefile
  head/net/yate/Makefile
  head/net/zerotier/Makefile
  head/net-im/corebird/Makefile
  head/net-im/diligent/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/jabberd/Makefile
  head/net-im/ktp-call-ui/Makefile
  head/net-im/ktp-common-internals-kde4/Makefile
  head/net-im/ktp-text-ui/Makefile
  head/net-im/ktp-text-ui-kde4/Makefile
  head/net-im/libaccounts-qt5/Makefile
  head/net-im/qTox/Makefile
  head/net-im/ricochet/Makefile
  head/net-im/teamwords/Makefile
  head/net-im/tox/Makefile
  head/net-im/tox12/Makefile
  head/net-im/uTox/Makefile
  head/net-mgmt/aircrack-ng/Makefile
  head/net-mgmt/chillispot/Makefile
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/metronome/Makefile
  head/net-mgmt/mk-livestatus/Makefile
  head/net-mgmt/resource-agents/Makefile
  head/net-mgmt/seafile-gui/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/cpuminer/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/libtorrent/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/monero-cli/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/rtorrent/Makefile
  head/net-p2p/torrent-file-editor/Makefile
  head/net-p2p/zetacoin/Makefile
  head/news/nget/Makefile
  head/palm/jpilot/Makefile
  head/polish/kadu/Makefile
  head/polish/qnapi/Makefile
  head/ports-mgmt/octopkg/Makefile
  head/ports-mgmt/portal/Makefile
  head/ports-mgmt/portrac/Makefile
  head/print/cups-filters/Makefile
  head/print/gribouy/Makefile
  head/print/harfbuzz/Makefile
  head/print/libgnomeprintmm/Makefile
  head/print/libmspub01/Makefile
  head/print/libpagemaker/Makefile
  head/print/qpdf/Makefile
  head/print/qpdfview/Makefile
  head/print/tex-xetex/Makefile
  head/print/texlive-base/Makefile
  head/science/MOOSE-neural-simulator/Makefile
  head/science/PETSc/Makefile
  head/science/abinit/Makefile
  head/science/aircraft-datcom/Makefile
  head/science/atompaw/Makefile
  head/science/cdf/Makefile
  head/science/cdo/Makefile
  head/science/cgnslib/Makefile
  head/science/chemps2/Makefile
  head/science/clhep/Makefile
  head/science/clipper/Makefile
  head/science/coot/Makefile
  head/science/dcl/Makefile
  head/science/dft_tools/Makefile
  head/science/dkh/Makefile
  head/science/dlib-cpp/Makefile
  head/science/dlpoly-classic/Makefile
  head/science/erd/Makefile
  head/science/fvcom/Makefile
  head/science/fvm/Makefile
  head/science/gdma/Makefile
  head/science/getdp/Makefile
  head/science/ghemical/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/gromacs/Makefile
  head/science/h5utils/Makefile
  head/science/harminv/Makefile
  head/science/hdf/Makefile
  head/science/hdf5/Makefile
  head/science/hdf5-18/Makefile
  head/science/hypre/Makefile
  head/science/iboview/Makefile
  head/science/isaac-cfd/Makefile
  head/science/libccp4/Makefile
  head/science/libctl/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libghemical/Makefile
  head/science/libint/Makefile
  head/science/libxc/Makefile
  head/science/massxpert/Makefile
  head/science/mbdyn/Makefile
  head/science/meep/Makefile
  head/science/mpb/Makefile
  head/science/mpqc/Makefile
  head/science/ncs/Makefile
  head/science/netcdf-fortran/Makefile
  head/science/openkim/Makefile
  head/science/pcmsolver/Makefile
  head/science/pnetcdf/Makefile
  head/science/psychopy/Makefile
  head/science/py-obspy/Makefile
  head/science/py-pymol/Makefile
  head/science/py-scikit-learn/Makefile
  head/science/py-scikit-sparse/Makefile
  head/science/py-scipy/Makefile
  head/science/quantum-espresso/Makefile
  head/science/silo/Makefile
  head/science/tfel/Makefile
  head/science/triqs/Makefile
  head/science/v_sim/Makefile
  head/science/xcrysden/Makefile
  head/security/akmos/Makefile
  head/security/arpCounterattack/Makefile
  head/security/botan2/Makefile
  head/security/bro/Makefile
  head/security/certificate-transparency/Makefile
  head/security/clamfs/Makefile
  head/security/cryptopp/Makefile
  head/security/gnome-keyring/Makefile
  head/security/gnupg/Makefile
  head/security/gpgme/Makefile
  head/security/hashcat-legacy/Makefile
  head/security/hpenc/Makefile
  head/security/i2pd/Makefile
  head/security/john/Makefile
  head/security/keepassx-devel/Makefile
  head/security/kf5-kdesu/Makefile
  head/security/libzrtpcppcore/Makefile
  head/security/md5deep/Makefile
  head/security/obfsclient/Makefile
  head/security/pinentry/Makefile
  head/security/pks/Makefile
  head/security/plasma5-kscreenlocker/Makefile
  head/security/plasma5-ksshaskpass/Makefile
  head/security/quantis/Makefile
  head/security/seccure/Makefile
  head/security/snort3/Makefile
  head/security/titus/Makefile
  head/sysutils/android-file-transfer/Makefile
  head/sysutils/b2sum/Makefile
  head/sysutils/baloo-widgets/Makefile
  head/sysutils/bsdisks/Makefile
  head/sysutils/burp/Makefile
  head/sysutils/cdrdao/Makefile
  head/sysutils/clone/Makefile
  head/sysutils/conky/Makefile
  head/sysutils/dar/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/fsearch/Makefile
  head/sysutils/fswatch-mon/Makefile
  head/sysutils/fusefs-encfs/Makefile
  head/sysutils/fusefs-lkl/Makefile
  head/sysutils/fusefs-simple-mtpfs/Makefile
  head/sysutils/gdisk/Makefile
  head/sysutils/gnome-control-center/Makefile
  head/sysutils/gnome-system-monitor/Makefile
  head/sysutils/google-compute-engine-oslogin/Makefile
  head/sysutils/grub2/Makefile
  head/sysutils/grub2-bhyve/Makefile
  head/sysutils/grub2-efi/Makefile
  head/sysutils/grub2-pcbsd/Makefile
  head/sysutils/gsmartcontrol/Makefile
  head/sysutils/hfm/Makefile
  head/sysutils/ipdbtools/Makefile
  head/sysutils/kf5-baloo/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/khelpcenter/Makefile
  head/sysutils/kshutdown-kde4/Makefile
  head/sysutils/libretto-config/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/lxqt-policykit/Makefile
  head/sysutils/lxqt-qtplugin/Makefile
  head/sysutils/mate-system-monitor/Makefile
  head/sysutils/nitrogen/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/parafly/Makefile
  head/sysutils/pesign/Makefile
  head/sysutils/plasma5-discover/Makefile
  head/sysutils/plasma5-kde-cli-tools/Makefile
  head/sysutils/plasma5-kinfocenter/Makefile
  head/sysutils/plasma5-kmenuedit/Makefile
  head/sysutils/plasma5-ksysguard/Makefile
  head/sysutils/plasma5-libksysguard/Makefile
  head/sysutils/plasma5-polkit-kde-agent-1/Makefile
  head/sysutils/plasma5-powerdevil/Makefile
  head/sysutils/plasma5-systemsettings/Makefile
  head/sysutils/plasma5-user-manager/Makefile
  head/sysutils/polkit/Makefile
  head/sysutils/shim/Makefile
  head/sysutils/smartmontools/Makefile
  head/sysutils/spiped/Makefile
  head/sysutils/tarsnap-gui/Makefile
  head/sysutils/tmux-mem-cpu-load/Makefile
  head/sysutils/tracker/Makefile
  head/sysutils/usbtop/Makefile
  head/sysutils/wiimms/Makefile
  head/textproc/ansifilter/Makefile
  head/textproc/ctpp2/Makefile
  head/textproc/enchant2/Makefile
  head/textproc/fcitx-qt5/Makefile
  head/textproc/fox-xml/Makefile
  head/textproc/goldendict/Makefile
  head/textproc/gutenmark/Makefile
  head/textproc/highlight/Makefile
  head/textproc/hunspell/Makefile
  head/textproc/ibus/Makefile
  head/textproc/ibus-qt/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kf5-kcodecs/Makefile
  head/textproc/kf5-sonnet/Makefile
  head/textproc/kf5-syntax-highlighting/Makefile
  head/textproc/kiss-templates/Makefile
  head/textproc/libabw/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libepubgen/Makefile
  head/textproc/libmwaw03/Makefile
  head/textproc/libodfgen01/Makefile
  head/textproc/libqxp/Makefile
  head/textproc/libsass/Makefile
  head/textproc/libstaroffice/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/libwpd010/Makefile
  head/textproc/libwps/Makefile
  head/textproc/libxml++26/Makefile
  head/textproc/link-grammar/Makefile
  head/textproc/mythes/Makefile
  head/textproc/pugixml/Makefile
  head/textproc/randlm/Makefile
  head/textproc/rubygem-liquid-tag-parser/Makefile
  head/textproc/sassc/Makefile
  head/textproc/sdcv/Makefile
  head/textproc/senna/Makefile
  head/textproc/sigil/Makefile
  head/textproc/stardict3/Makefile
  head/textproc/uim-kde4/Makefile
  head/textproc/xmlwrapp/Makefile
  head/textproc/zorba/Makefile
  head/www/anyterm/Makefile
  head/www/aria2/Makefile
  head/www/choqok/Makefile
  head/www/cppcms/Makefile
  head/www/epiphany/Makefile
  head/www/gecko-mediaplayer/Makefile
  head/www/h2o/Makefile
  head/www/h2o-devel/Makefile
  head/www/hiawatha/Makefile
  head/www/kannel/Makefile
  head/www/kannel-sqlbox/Makefile
  head/www/kf5-kdewebkit/Makefile
  head/www/kf5-khtml/Makefile
  head/www/kf5-kjs/Makefile
  head/www/kf5-kjsembed/Makefile
  head/www/mod_authnz_crowd/Makefile
  head/www/mod_security3/Makefile
  head/www/newsboat/Makefile
  head/www/nghttp2/Makefile
  head/www/node/Makefile
  head/www/node6/Makefile
  head/www/node8/Makefile
  head/www/otter-browser/Makefile
  head/www/p5-Gtk2-WebKit/Makefile
  head/www/rejik/Makefile
  head/www/restbed/Makefile
  head/www/spdylay/Makefile
  head/www/squid/Makefile
  head/www/squid-devel/Makefile
  head/www/thundercache/Makefile
  head/www/varnish5/Makefile
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk3/Makefile
  head/www/wt/Makefile
  head/x11/babl/Makefile
  head/x11/cinnamon/Makefile
  head/x11/cool-retro-term/Makefile
  head/x11/eaglemode/Makefile
  head/x11/gnome-shell/Makefile
  head/x11/kactivities/Makefile
  head/x11/kactivitymanagerd/Makefile
  head/x11/kde-workspace-kde4/Makefile
  head/x11/kf5-frameworkintegration/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/kf5-kactivities-stats/Makefile
  head/x11/kf5-kded/Makefile
  head/x11/kf5-kdelibs4support/Makefile
  head/x11/kf5-kglobalaccel/Makefile
  head/x11/kf5-kinit/Makefile
  head/x11/kf5-krunner/Makefile
  head/x11/kf5-kwayland/Makefile
  head/x11/kf5-kwindowsystem/Makefile
  head/x11/kf5-plasma-framework/Makefile
  head/x11/lemonbar/Makefile
  head/x11/libfm-qt/Makefile
  head/x11/libgnomemm26/Makefile
  head/x11/lightdm/Makefile
  head/x11/lxqt-globalkeys/Makefile
  head/x11/mate-applets/Makefile
  head/x11/plasma5-kactivitymanagerd/Makefile
  head/x11/plasma5-kwayland-integration/Makefile
  head/x11/plasma5-libkscreen/Makefile
  head/x11/plasma5-plasma-desktop/Makefile
  head/x11/plasma5-plasma-integration/Makefile
  head/x11/plasma5-plasma-workspace/Makefile
  head/x11/qterminal/Makefile
  head/x11/terminology/Makefile
  head/x11/thingylaunch/Makefile
  head/x11/virtualgl/Makefile
  head/x11/workrave/Makefile
  head/x11/xpra/Makefile
  head/x11/yelp/Makefile
  head/x11-drivers/xf86-video-vmware/Makefile
  head/x11-fm/dolphin/Makefile
  head/x11-fm/gnome-commander2/Makefile
  head/x11-fm/nautilus/Makefile
  head/x11-fm/pcmanfm-qt/Makefile
  head/x11-fm/sushi/Makefile
  head/x11-fm/wcmcommander/Makefile
  head/x11-fm/worker/Makefile
  head/x11-themes/adwaita-qt/Makefile
  head/x11-themes/kf5-kemoticons/Makefile
  head/x11-themes/kf5-kiconthemes/Makefile
  head/x11-themes/plasma5-breeze/Makefile
  head/x11-themes/plasma5-breeze-kde4/Makefile
  head/x11-themes/plasma5-kde-gtk-config/Makefile
  head/x11-themes/plasma5-oxygen/Makefile
  head/x11-themes/qt4-style-Kvantum/Makefile
  head/x11-themes/qt5-style-Kvantum/Makefile
  head/x11-themes/qtcurve/Makefile
  head/x11-toolkits/bakery/Makefile
  head/x11-toolkits/c++-gtk-utils/Makefile
  head/x11-toolkits/flowcanvas/Makefile
  head/x11-toolkits/fox17/Makefile
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/gtkglextmm/Makefile
  head/x11-toolkits/gtkmm30-reference/Makefile
  head/x11-toolkits/gtksourceview3/Makefile
  head/x11-toolkits/gtksourceview4/Makefile
  head/x11-toolkits/gtksourceviewmm3/Makefile
  head/x11-toolkits/kf5-attica/Makefile
  head/x11-toolkits/kf5-kcompletion/Makefile
  head/x11-toolkits/kf5-kconfigwidgets/Makefile
  head/x11-toolkits/kf5-kdesignerplugin/Makefile
  head/x11-toolkits/kf5-kguiaddons/Makefile
  head/x11-toolkits/kf5-kirigami2/Makefile
  head/x11-toolkits/kf5-kitemviews/Makefile
  head/x11-toolkits/kf5-kjobwidgets/Makefile
  head/x11-toolkits/kf5-ktextwidgets/Makefile
  head/x11-toolkits/kf5-kwidgetsaddons/Makefile
  head/x11-toolkits/kf5-kxmlgui/Makefile
  head/x11-toolkits/libgnomeprintuimm/Makefile
  head/x11-toolkits/libgnomeuimm26/Makefile
  head/x11-toolkits/libsexymm/Makefile
  head/x11-toolkits/mygui/Makefile
  head/x11-toolkits/p5-Wx/Makefile
  head/x11-toolkits/pangomm/Makefile
  head/x11-toolkits/plasma5-kdeplasma-addons/Makefile
  head/x11-toolkits/py-wxPython30/Makefile
  head/x11-toolkits/qtermwidget/Makefile
  head/x11-toolkits/vte3/Makefile
  head/x11-toolkits/wxgtk30/Makefile
  head/x11-toolkits/wxgtk31/Makefile
  head/x11-wm/gcompmgr/Makefile
  head/x11-wm/herbstluftwm/Makefile
  head/x11-wm/metacity/Makefile
  head/x11-wm/mutter/Makefile
  head/x11-wm/plasma5-kdecoration/Makefile
  head/x11-wm/plasma5-kwin/Makefile
Comment 17 commit-hook freebsd_committer 2018-07-30 22:44:34 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 30 22:43:32 UTC 2018
New revision: 475920
URL: https://svnweb.freebsd.org/changeset/ports/475920

Log:
  editors/libreoffice: rebuild after r475856

  PR:		222542
  Reported by:	Walter Schwarzenfeld

Changes:
  head/editors/libreoffice/Makefile
Comment 18 Antoine Brodin freebsd_committer 2018-08-03 11:05:19 UTC
You can mark misc/rumprun BROKEN.
Comment 19 commit-hook freebsd_committer 2018-08-04 15:50:52 UTC
A commit references this bug:

Author: gerald
Date: Sat Aug  4 15:50:04 UTC 2018
New revision: 476365
URL: https://svnweb.freebsd.org/changeset/ports/476365

Log:
  Mark BROKEN due to problems building with modern compilers (even GCC,
  which was originally used as the workaround to keep this building).

  PR:		222542, 230125
  Suggested by: 	antoine

Changes:
  head/misc/rumprun/Makefile
Comment 20 Gerald Pfeifer freebsd_committer 2018-08-04 15:52:47 UTC
(In reply to Antoine Brodin from comment #18)
> You can mark misc/rumprun BROKEN.

Done.  Thanks for your guidance and support with this upgrade, Antoine!
Comment 21 Gerald Pfeifer freebsd_committer 2018-08-05 11:53:08 UTC
And with devel/dia2code+ also being addressed, we can now close this.

Thanks to everyone who helped test, report issues, and fix some!